Fetch an Email Operation
This operation fetches a single Email Operation using its ID.
Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.
Authentication
Basic authentication of the form Basic <account_id:auth_token>.
Basic authentication of the form Basic <api_key:api_key_secret>.
Path parameters
Response
Represents the stats of a sending operation of one or many Emails.
-
totalis the total number ofEmailresources created in theOperation.-
To get the status for each individual
Email, fetch theEmailresource:GET /Email/{emailId}. -
For
Emailswith multiple recipients, useReceiptse.g.GET /Emails/{emailId}/Receipts.
-
-
recipientsis the total number of recipients targeted in an Operation. -
attemptsis the total number of sending attempts made by Twilio. -
scheduledis the number ofEmailsthat are scheduled to be sent by Twilio in the future. -
queuedis the number ofEmailsthat are queued in Twilio for sending. -
sentis the number ofEmailsthat have been sent by Twilio. -
deliveredis the number ofEmailsthat have been successfully delivered to recipients. -
openedis the number ofEmailsthat have been opened by unique recipients. -
undeliveredis the number ofEmailsthat were successfully sent by Twilio but have not been delivered to the recipient. -
failedis the number ofEmailsthat failed during processing by Twilio. GetErrorswithGET /Emails/Operations/{operationId}/Errorsfore more detail. -
canceledis the number ofEmailsthat were canceled via API request.